## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathFactory Class Reference

Inheritance diagram for XPathFactory:

[legend]
List of all members.

## Public Member Functions

- XPathFactory ()
- virtual ~XPathFactory ()
- bool returnObject (const XPath *theXPath)
    Return an XPath to the factory.
- virtual void reset ()=0
    Reset the instance.
- virtual XPath * create ()=0
    Create an XPath.

## Protected Member Functions

- virtual bool doReturnObject (const XPath *theXPath, bool fInReset=false)=0

## Friends

- struct DeleteXPathFunctor

## Constructor & Destructor Documentation

XPathFactory::XPathFactory | ( |  | ) | `[explicit]`

virtual XPathFactory::~XPathFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XPath* XPathFactory::create | ( |  | ) | `[pure virtual]`

| Create an XPath. The XPath instance is owned by the factory, and should not be deleted. The factory will manage the lifetime. Implemented in XPathFactoryBlock, and XPathFactoryDefault.

virtual bool XPathFactory::doReturnObject | ( | const XPath * | theXPath,
|  | bool | fInReset = false
| ) | `[protected, pure virtual]`

| Implemented in XPathFactoryBlock, and XPathFactoryDefault.

virtual void XPathFactory::reset | ( |  | ) | `[pure virtual]`

| Reset the instance. This invalidates all existing instances created with this XPathFactory. Implemented in XPathFactoryBlock, and XPathFactoryDefault.

bool XPathFactory::returnObject | ( | const XPath * | theXPath | ) |

  | Return an XPath to the factory. Parameters:
  theXPath | The XPath to be returned
Returns: true if the object belongs to the factory, false if not.

## Friends And Related Function Documentation

friend struct DeleteXPathFunctor`[friend]`

The documentation for this class was generated from the following file:

- XPathFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.